Skip to main content
`Ctrl`+`K`

# PetscDeviceInitialized

Determines whether `PetscDevice` is initialized for a particular `PetscDeviceType`

## Synopsis

    #include <petscdevice.h>
    PetscBool PetscDeviceInitialized(PetscDeviceType type)

Not Collective

## Input Parameter

- type - The `PetscDeviceType` to check

## Notes

Returns `PETSC_TRUE` if `type` is initialized, `PETSC_FALSE` otherwise.

If one has not configured PETSc for a particular `PetscDeviceType` then this routine will return `PETSC_FALSE` for that `PetscDeviceType`.

## See Also

`PetscDevice`, `PetscDeviceInitType`, `PetscDeviceInitialize()`, `PetscDeviceCreate()`, `PetscDeviceDestroy()`

## Level

beginner

## Location

src/sys/objects/device/interface/device.cxx

Index of all Device routines
Table of Contents for all manual pages
Index of all manual pages